%define	name	bitlbee
%define	version	3.0.5
%define	rel	1
%define release %mkrel %{rel}
%define	Summary	IRC proxy to connect to ICQ, AOL, MSN and Jabber
%define	bitlbid	_bitlbee

# NOTE TO BACKPORTERS: You will need to remove ccp or include ccp in your
#			rpm repository

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Networking/Chat
URL:		http://bitlbee.org/
Source0:	http://get.bitlbee.org/src/%{name}-%{version}.tar.gz
BuildRequires:	glib2-devel libsoup-devel >= 1.99.23
BuildRequires:	libotr-devel
BuildRequires:	gnutls-devel
Requires(post):	ccp
Requires(pre):	rpm-helper
Requires:	xinetd

%description
%{name} is a proxy which accepts connections from any irc-client
and allows you to communicate using following instant messaging
protocols:

 - ICQ
 - AIM
 - MSN
 - YIM
 - Jabber (including Google Talk and Facebook)
 - Twitter

%prep
%setup -q
# Use the nick "bitlbee" instead of "root"
%{__sed} -i 's/ROOT_NICK "root"/ROOT_NICK "bitlbee"/' bitlbee.h

%build
perl -pi -e "s#CFLAGS=-O3#CFLAGS=%{optflags} -O3#g" configure
./configure	--prefix=%{_prefix} \
		--etcdir=%{_sysconfdir}/%{name} \
		--libdir=%{_libdir}/%{name} \
		--otr=1

%make

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std} install-etc


%{__install} -d   %{buildroot}%{_var}/lib/%{name}
%{__install} -d   %{buildroot}%{_sysconfdir}/xinetd.d/
%{__cat} << EOF > %{buildroot}%{_sysconfdir}/xinetd.d/%{name}
# default: on
# description: bitlbee IRC2IM-proxy.
service ircd
{
	disable			= no
	socket_type		= stream
	protocol		= tcp
	wait			= no
	user			= %{bitlbid}
	server			= %{_sbindir}/%{name}
	log_on_success		+= DURATION USERID HOST
	log_on_failure		+= USERID HOST ATTEMPT
	nice			= 10
	bind			= 127.0.0.1
}
EOF


%pre
%_pre_useradd %{bitlbid} %{_var}/%{name} /bin/true
# in post it is harder to know if the new empty dir already exists
if [ $1 = 2 -a -d "%{_var}/%{name}" -a ! -d "%{_var}/lib/%{name}" ]; then
   echo -n " NOTE: new location of bitlbee users data: "
   mv -v "%{_var}/%{name}" "%{_var}/lib/%{name}"
fi

%post
ccp --delete --ifexists --set NoOrphans --oldfile %{_sysconfdir}/%{name}/%{name}.conf --newfile %{_sysconfdir}/%{name}/%{name}.conf.rpmnew
service xinetd condrestart
if ! pidof xinetd >/dev/null 2>/dev/null; then
   echo "Use the following command to start %{name}: /sbin/service xinetd start"
fi

%postun
%_postun_userdel %{bitlbid}
service xinetd condrestart

%files
%defattr(0750,root,%{bitlbid},0755)
%{_sbindir}/%{name}
%defattr(0644,root,root,0755)
%doc doc/AUTHORS doc/README doc/FAQ
%doc doc/CHANGES doc/CREDITS
%doc doc/user-guide/

%{_datadir}/%{name}/help.txt
%dir %{_datadir}/%{name}/
%{_mandir}/man?/*
%config(noreplace) %{_sysconfdir}/%{name}/motd.txt
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/xinetd.d/%{name}

%defattr(0600,%{bitlbid},%{bitlbid},0700)
%{_var}/lib/%{name}


%changelog
* Mon Feb 20 2012 Alexander Khrukin <akhrukin@mandriva.org> 3.0.5-1mdv2011.0
+ Revision: 778135
- version update 3.0.5

* Fri Sep 30 2011 Andrey Bondrov <abondrov@mandriva.org> 3.0.3-1
+ Revision: 702119
- New version: 3.0.3

* Tue Apr 19 2011 Adam Williamson <awilliamson@mandriva.org> 3.0.2-1
+ Revision: 656001
- new release 3.0.2

* Sun Jan 23 2011 Adam Williamson <awilliamson@mandriva.org> 3.0.1-1
+ Revision: 632410
- new release 3.0.1

* Fri Oct 29 2010 Adam Williamson <awilliamson@mandriva.org> 3.0-1mdv2011.0
+ Revision: 589861
- new release 3.0
- enable OTR support

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 1.2.8-1mdv2011.0
+ Revision: 565933
- New version 1.2.8

* Mon May 17 2010 Adam Williamson <awilliamson@mandriva.org> 1.2.7-1mdv2010.1
+ Revision: 545062
- new release 1.2.7

* Tue Mar 23 2010 Adam Williamson <awilliamson@mandriva.org> 1.2.5-1mdv2010.1
+ Revision: 526947
- new release 1.2.5

* Sat Nov 21 2009 Michael Scherer <misc@mandriva.org> 1.2.3-3mdv2010.1
+ Revision: 467934
- remove glibc private symbol filtering, as this doesn't seem to be required anymore
- add a conflict with glibc-static-devel as the build fail on x86_64 cooker with
  a message on incompatible architecture

* Wed Sep 02 2009 Thierry Vignaud <tv@mandriva.org> 1.2.3-2mdv2010.0
+ Revision: 424634
- rebuild

* Sun Sep 07 2008 Frederik Himpe <fhimpe@mandriva.org> 1.2.3-1mdv2009.0
+ Revision: 282400
- update to new version 1.2.3

* Wed Aug 27 2008 Michael Scherer <misc@mandriva.org> 1.2.2-1mdv2009.0
+ Revision: 276480
- update to new version 1.2.2

* Wed Jul 02 2008 Michael Scherer <misc@mandriva.org> 1.2.1-1mdv2009.0
+ Revision: 230611
- update to new version 1.2.1

* Mon May 05 2008 Olivier Blin <blino@mandriva.org> 1.2-1mdv2009.0
+ Revision: 201539
- filter GLIBC_PRIVATE requires for libresolv
- 1.2

* Thu Jan 24 2008 Funda Wang <fwang@mandriva.org> 1.1dev-2mdv2008.1
+ Revision: 157298
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - make description clearer

* Thu Dec 20 2007 Olivier Blin <blino@mandriva.org> 1.1dev-1mdv2008.1
+ Revision: 135829
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

